Subject: bug#6457: 24.0.50; Inappropriate error msg for set-variable

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 05 Feb 2014 22:37:55 -0800

Eli Zaretskii <[email-masked]> writes:

>> If so, I guess it is impossible for lisp code to know whether the user
>> originally typed an integer or a float. Therefore it is impossible to do
>> anything about this. It frankly doesn't seem worth bothering about
>> anyway.
>
> Then "wontfix" it.

I agree that it's a minor thing, but it's an "er what?" moment for the
user.  So if anybody has an idea for how to fix this in a manner that
works across everything that asks for an integer, that would be nice...

Or is this problem only present for `set-variable'?  Then it might not
be worth fixing.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/